package jimm.datavision.gui;
import jimm.datavision.source.Column;
import jimm.datavision.source.Query;

/**
 * Sort win list items are used by the sort editing window and the
 * sort edit command to remember a sort column and its sort order.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 * @see SortWin
 * @see jimm.datavision.gui.cmd.SortEditCommand
 */
public class SortWinListItem extends TLWListItem {

public SortWinListItem(Column col, int sortOrder) {
    super(col, sortOrder == Query.SORT_DESCENDING ? 'd' : 'a');
}

public boolean sortsAscending() { return sortOrder == 'a'; }

}
