package jimm.datavision.gui;
import jimm.datavision.*;
import jimm.datavision.gui.cmd.ReportStartupScriptEditCommand;

/**
 * This dialog is for editing formula code.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 * @see jimm.datavision.Formula
 * @see FormulaWidget
 * @see jimm.datavision.gui.cmd.FormulaEditCommand
 */
public class StartupScriptEditor extends CodeEditorWin {

protected Report report;

/**
 * Constructor.
 *
 * @param frame the window to which this dialog belongs
 * @param report the report
 */
public StartupScriptEditor(Designer designer, Report report) {
    super(designer, report,
	  report.getStartFormula() == null ? ""
	  : report.getStartFormula().getEditableExpression(),
	  I18N.get("StartupScriptEditor.title_prefix"),
	  "StartupScriptEditor.error_unchanged",
	  "StartupScriptEditor.error_title");
    this.report = report;
    // (We don't need to observe this formula)
}

/**
 * Creates and executes a command that changes the formula's eval string.
 * If there is an error, the command is cancelled (never sent to the
 * design window).
 *
 * @param text the new eval string
 */
public void save(String text) {
    command = new ReportStartupScriptEditCommand(report, text);
}

}
