package jimm.datavision.gui.cmd;
import jimm.datavision.I18N;
import jimm.datavision.Formula;

/**
 * A command for changing a formula's code text.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 * @see jimm.datavision.Formula
 * @see jimm.datavision.gui.FormulaWin
 */
public class FormulaEditCommand extends CommandAdapter {

protected Formula formula;
protected String newExpression;
protected String oldExpression;

public FormulaEditCommand(Formula formula, String expression) {
    super(I18N.get("FormulaEditCommand.name"));
    this.formula = formula;
    newExpression = expression;
    oldExpression = formula.getExpression();
}

public void perform() {
    formula.setEditableExpression(newExpression);
}

public void undo() {
    formula.setEditableExpression(oldExpression);
}

}
