package jimm.datavision.gui.cmd;
import jimm.datavision.*;
import jimm.datavision.gui.SectionWidget;

/**
 * Handles suppression proc edits.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 */
public class SuppressionProcEditCommand extends CommandAdapter {

protected SectionWidget sectionWidget;
protected boolean oldHidden;
protected boolean newHidden;
protected String oldText;
protected String newText;

public SuppressionProcEditCommand(SectionWidget sectionWidget, boolean hidden,
				  String formulaText)
{
    super(I18N.get("SuppressionProcEditCommand.name"));
    this.sectionWidget = sectionWidget;

    SuppressionProc sp = sectionWidget.getSection().getSuppressionProc();
    newHidden = hidden;
    oldHidden = sp.isHidden();
    newText = formulaText;
    oldText = sp.getFormula().getExpression();
}

public void perform() {
    SuppressionProc sp = sectionWidget.getSection().getSuppressionProc();
    sp.setHidden(newHidden);
    sp.getFormula().setExpression(newText);

    // Possible background color change
    sectionWidget.getFieldPanel().setHidden(newHidden);
}

public void undo() {
    SuppressionProc sp = sectionWidget.getSection().getSuppressionProc();
    sp.setHidden(oldHidden);
    sp.getFormula().setExpression(oldText);

    // Possible background color change
    sectionWidget.getFieldPanel().setHidden(oldHidden);
}

}
