package jimm.datavision.gui.cmd;
import jimm.datavision.I18N;
import jimm.datavision.UserColumn;

/**
 * A command for changing a userColumn's code text.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 * @see jimm.datavision.UserColumn
 * @see jimm.datavision.gui.UserColumnWin
 */
public class UserColumnEditCommand extends CommandAdapter {

protected UserColumn userColumn;
protected String newExpression;
protected String oldExpression;

public UserColumnEditCommand(UserColumn userColumn, String expression) {
    super(I18N.get("UserColumnEditCommand.name"));
    this.userColumn = userColumn;
    newExpression = expression;
    oldExpression = userColumn.getExpression();
}

public void perform() {
    userColumn.setEditableExpression(newExpression);
}

public void undo() {
    userColumn.setEditableExpression(oldExpression);
}

}
