package jimm.datavision.gui.cmd;
import jimm.datavision.I18N;
import jimm.datavision.source.Query;

/**
 * A command for changing a whereClause's code text.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 * @see Query
 * @see jimm.datavision.gui.sql.WhereClauseWin
 */
public class WhereClauseEditCommand extends CommandAdapter {

protected Query query;
protected String newWhereClause;
protected String oldWhereClause;

public WhereClauseEditCommand(Query query, String whereClause) {
    super(I18N.get("WhereClauseEditCommand.name"));
    this.query = query;
    newWhereClause = whereClause;
    oldWhereClause = query.getEditableWhereClause();
}

public void perform() {
    query.setEditableWhereClause(newWhereClause);
}

public void undo() {
    query.setEditableWhereClause(oldWhereClause);
}

}
