package jimm.datavision.layout.swing;
import jimm.datavision.Field;
import java.awt.Color;
import javax.swing.JComponent;

public abstract class AbstractSwingField implements SwingField {

protected Field field;
protected JComponent component;

public AbstractSwingField(Field f, JComponent c) {
    field = f;
    component = c;
}

public Field getField() { return field; }

public JComponent getComponent() { return component; }

/**
 * Returns a default color for this field. <code>SwingTextField</code>
 * overrides this method.
 *
 * @return <code>Color.black</code>
 * @see SwingTextField#getColor
 */
public Color getColor() { return Color.black; }

/**
 * Does whatever it takes to prepare the field for rendering: applies
 * formatting, graying-out, etc.
 */
public abstract void format();

/**
 * Makes borders using the field's border. <em>Unimplemented</em>.
 */
protected void makeBorders() {
//      if (field.getBorder() != null)
//  	field.getBorder().eachLine(this); // Calls drawLine for each line
}

//  public void drawLine(Line line) {
//  }

}
