package jimm.datavision.source;
import jimm.datavision.source.Column;
import uk.co.wilson.xml.MinML2;
import org.xml.sax.*;

/**
 * Reads metadata from XML, creates columns, and hands them to a data source.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 * @see DataSource
 */
class MetadataReader extends MinML2 {

protected DataSource source;

MetadataReader(DataSource source) {
    this.source = source;
}

public void startElement(final String namespaceURI, final String localName,
			 final String qName, final Attributes attributes)
    throws SAXException
{
    if ("column".equals(localName)) {
	String colName = attributes.getValue("name");
	int type = Column.typeFromString(attributes.getValue("type"));
	Column col = new Column(colName, colName, type);
	col.setDateParseFormat(attributes.getValue("date-format"));

	source.addColumn(col);
    }
}

}
