package jimm.datavision.test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
import junit.framework.Test;

/**
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 */
public class AllTests extends TestCase {

public static Test suite() {
    TestSuite suite = new TestSuite();
    suite.addTest(UtilsTest.suite());
    suite.addTest(ColumnIteratorTest.suite());
    suite.addTest(DelimParserTest.suite());
    suite.addTest(IndentWriterTest.suite());
    suite.addTest(FormulaTest.suite());
    suite.addTest(FormulaEvalTest.suite());
    suite.addTest(GroupFormulaTest.suite());
    suite.addTest(GetoptsTest.suite());
    suite.addTest(ReportTest.suite());
    suite.addTest(ReportRunTest.suite());
    suite.addTest(CharSepTest.suite());
    suite.addTest(ConnectionTest.suite());
    suite.addTest(SubtotalTest.suite());
    return suite;
}

public AllTests(String name) {
    super(name);
}

public static void main(String[] args) {
    if (args.length > 0 && "-g".equals(args[0]))
	junit.swingui.TestRunner.run(AllTests.class);
    else
	junit.textui.TestRunner.run(suite());
}

}
